﻿using System;
using System.ServiceModel;
using Contracts;

namespace GeneralPizzaService
{
    class GeneralPizzaService : IPizzaService
    {
        public void OrderPizza(Order order)
        {
            Console.WriteLine("Order from {0} for {1} is received.", order.OrdererName, order.PizzaName);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            using (var host = new ServiceHost(typeof(GeneralPizzaService),
    new Uri("http://localhost:9000/papalouie/generalpizzaservice")))
            {
                host.Open();

                Console.WriteLine("---------------------------------------------");
                Console.WriteLine("Papa Louie's General Pizza Service is ready!");
                Console.WriteLine("---------------------------------------------");

                Console.ReadLine();
            }
        }
    }
}
