﻿using System;
using System.ServiceModel;
using Contracts;

namespace ItalianPizzaService
{
    class ItalianPizzaService : IPizzaService
    {
        public void OrderPizza(Order order)
        {
            Console.WriteLine("Order from {0} for {1} is received.", order.OrdererName, order.PizzaName);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            using (var host = new ServiceHost(typeof(ItalianPizzaService), 
                new Uri("http://localhost:8000/papalouie/itallianpizzaservice")))
            {
                host.Open();

                Console.WriteLine("---------------------------------------------");
                Console.WriteLine("Papa Louie's Itallian Pizza Service is ready!");
                Console.WriteLine("---------------------------------------------");

                Console.ReadLine();
            }
        }
    }
}
