﻿
using System;
using System.ServiceModel;
using Contracts;

namespace WantPizzaClient
{
    class Program
    {
        static void Main(string[] args)
        {
            var factory = new ChannelFactory<IPizzaService>(new BasicHttpBinding(), "http://localhost:8080/papalouie/router");
            var channel = factory.CreateChannel();

            var order1 = new Order
            {
                OrdererName = "Mark Pizz",
                PizzaName = "Pizza Margherita",
                PizzaType = "Itallian",
                DeliveryAddress = "455 Larkspur Dr. California Springs, CA 92926",
                DeliveryTime = "10:00 AM"
            };

            channel.OrderPizza(order1);

            var order2 = new Order
            {
                OrdererName = "Pizza Hizza",
                PizzaName = "Chicago Veg",
                PizzaType = "Chicago",
                DeliveryAddress = "23 Mark Street, CA 34545",
                DeliveryTime = "11:00 AM"
            };

            channel.OrderPizza(order2);

            var order3 = new Order
            {
                OrdererName = "Pizza Hizza",
                PizzaName = "Pizza al Prosciutto",
                PizzaType = "Itallian",
                DeliveryAddress = "23 Mark Street, CA 34545",
                DeliveryTime = "12:00 AM"
            };

            channel.OrderPizza(order3);

            ((IClientChannel)channel).Close();
            factory.Close();
        }
    }
}
